Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# IXMLReader.h File Reference

`#include "IReferenceCounted.h"`
`#include "irrXML.h"`

Go to the source code of this file.

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::io

| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Typedefs

typedef IIrrXMLReader< wchar_t, IReferenceCounted > | irr::io::IXMLReader
| An xml reader for wide characters, derived from IReferenceCounted.
typedef IIrrXMLReader< c8, IReferenceCounted > | irr::io::IXMLReaderUTF8
| An xml reader for ASCII or UTF-8 characters, derived from IReferenceCounted.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:59 2010 by Doxygen (1.6.2)